Name:		perl-Digest-MD5-File
Version:	0.08
Release:	4%{?dist}
Summary:	Perl extension for getting MD5 sums for files and URLs
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Digest-MD4/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/Digest-MD5-File-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Install
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(LWP::UserAgent)
# Test Suite
BuildRequires:	perl(Test::More)
# Perl version anchor
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Not picked up by rpm (required rather than used)
Requires:	perl(Encode)
Requires:	perl(Exporter)
Requires:	perl(File::Spec)

%description
Get MD5 sums for files of a given path or content of a given URL.

%prep
%setup -q -n Digest-MD5-File-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Digest/
%{_mandir}/man3/Digest::MD5::File.3pm*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 0.08-2
- Perl 5.16 rebuild

* Sat Apr  7 2012 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - CPAN RT#39898: Inconsistent results from adddir
  - CPAN RT#44106: Typos in documentation
  - CPAN RT#76174: Handle filenames with trailing spaces
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from buildroot
- Classify buildreqs by usage

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> - 0.07-4
- BR: perl(Carp)

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.07-3
- Perl mass rebuild

* Thu May  5 2011 Paul Howarth <paul@city-fan.org> - 0.07-2
- BR/R: perl(Encode), perl(Exporter), perl(File::Spec) (#702277)

* Thu May  5 2011 Paul Howarth <paul@city-fan.org> - 0.07-1
- Initial RPM version
